[Csnd-dev] Follow-up on building CUDA opcodes on linux

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[Csnd-dev] Follow-up on building CUDA opcodes on linux

genell
I just now installed the latest CUDA toolkit (9.1 downloaded from nvidia) on an ubuntu 17.10 machine with the latest cmake from git (cmake version 3.10.20180119-gbe2f0) and after changing CmakeLists.txt for the cuda opcodes so the the lowest version gpu referred to is sm_30 Csound at least builds ok with BUILD_CUDA_OPCODES=1

I have not tried to actually run and csd with the opcodes yet, but this is promising so far.

Regards,
Anders
Reply | Threaded
Open this post in threaded view
|

Re: [Csnd-dev] Follow-up on building CUDA opcodes on linux

genell
ALAS!
I spoke to soon - I had in fact not enabled the cuda build as I thought. It seems the cuda opcodes code needs to be updated somewhat - I get 
[ 59%] Building NVCC (Device) object Opcodes/cuda/CMakeFiles/cudaop2.dir/cudaop2_generated_pvsops.cu.o
/home/sim/Src/csound/Opcodes/cuda/pvsops.cu(139): error: identifier "CUFFT_COMPATIBILITY_NATIVE" is undefined
which seems to indicate that CUFFT_COMPABILITY support has changed for the most recent cuda toolkit version...

Regards,
Anders


On Fri, Jan 19, 2018 at 1:59 PM, Anders Genell <[hidden email]> wrote:
I just now installed the latest CUDA toolkit (9.1 downloaded from nvidia) on an ubuntu 17.10 machine with the latest cmake from git (cmake version 3.10.20180119-gbe2f0) and after changing CmakeLists.txt for the cuda opcodes so the the lowest version gpu referred to is sm_30 Csound at least builds ok with BUILD_CUDA_OPCODES=1

I have not tried to actually run and csd with the opcodes yet, but this is promising so far.

Regards,
Anders